Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.io
Enum Logger.LEVEL

    java.lang.Object
      java.lang.Enum<Logger.LEVEL>
          things.thinger.io.Logger.LEVEL

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Logger.LEVEL>

Enclosing interface:
  Logger

    public static enum Logger.LEVEL

extends java.lang.Enum<Logger.LEVEL>

Level of the logged entry. These are not valued, since it's up to the final consumer to decide what they mean.
Data and error are the same significance and would normally be retained in the same consumer, assuming a normal logging level. The idea is that Data would be result values while Errors would be actual problems. Info is more of casual information, rather than important to result collection.

Enum Constant Summary
`DATA`
`DEBUG`
`ERROR`
`FAULT`
`FLOOR`
`INFO`
`RESULTS`
`TOP`
`WARNING`

Method Summary
`boolean` | `dontpass(Logger.LEVEL thanThis)`
`static Logger.LEVEL` | `getLevelByName(java.lang.String name)` It will return a level by name.
`boolean` | `pass(Logger.LEVEL thanThis)`
`java.lang.String` | `toString5()`
`protected int` | `value()`
`static Logger.LEVEL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Logger.LEVEL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLOOR

    public static final Logger.LEVEL FLOOR

### DEBUG

    public static final Logger.LEVEL DEBUG

### INFO

    public static final Logger.LEVEL INFO

### WARNING

    public static final Logger.LEVEL WARNING

### ERROR

    public static final Logger.LEVEL ERROR

### DATA

    public static final Logger.LEVEL DATA

### RESULTS

    public static final Logger.LEVEL RESULTS

### FAULT

    public static final Logger.LEVEL FAULT

### TOP

    public static final Logger.LEVEL TOP

Method Detail

### values

    public static Logger.LEVEL[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Logger.LEVEL c : Logger.LEVEL.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Logger.LEVEL valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    protected final int value()

### pass

    public boolean pass(Logger.LEVEL thanThis)

### dontpass

    public boolean dontpass(Logger.LEVEL thanThis)

### toString5

    public java.lang.String toString5()

### getLevelByName

    public static Logger.LEVEL getLevelByName(java.lang.String name)

  It will return a level by name. It is case insensitive. This is a slow implementation, so should only be used during configuration.

  Parameters:
    `name` - The name.
  Returns:
    The level or null if it couldn't be matched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.